summaryrefslogtreecommitdiffstats
path: root/multimedia/spotify64/spotify64.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'multimedia/spotify64/spotify64.SlackBuild')
-rw-r--r--multimedia/spotify64/spotify64.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/multimedia/spotify64/spotify64.SlackBuild b/multimedia/spotify64/spotify64.SlackBuild
new file mode 100644
index 0000000000..c1d9b5d428
--- /dev/null
+++ b/multimedia/spotify64/spotify64.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for spotify64
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=spotify64
+SRCNAM=spotify
+VERSION=${VERSION:-0.9.11.27.g2b1a638.81}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$(uname -m)" in
+ x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar -p $CWD/${SRCNAM}-client_${VERSION}-1_${DEBARCH}.deb data.tar.gz | tar zxv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Symlinks to fix lib naming issue.
+ln -sf /usr/lib${LIBDIRSUFFIX}/libnspr4.so $PKG/opt/spotify/spotify-client/libnspr4.so.0d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libnss3.so $PKG/opt/spotify/spotify-client/libnss3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libnssutil3.so $PKG/opt/spotify/spotify-client/libnssutil3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libplc4.so $PKG/opt/spotify/spotify-client/libplc4.so.0d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libplds4.so $PKG/opt/spotify/spotify-client/libplds4.so.0d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libsmime3.so $PKG/opt/spotify/spotify-client/libsmime3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libssl3.so $PKG/opt/spotify/spotify-client/libssl3.so.1d
+ln -sf /usr/lib${LIBDIRSUFFIX}/libssl.so.10 $PKG/opt/spotify/spotify-client/libssl.so.0.9.8
+ln -sf /usr/lib${LIBDIRSUFFIX}/libcrypto.so.10 $PKG/opt/spotify/spotify-client/libcrypto.so.0.9.8
+
+rm $PKG/opt/spotify/spotify-client/spotify.desktop
+mkdir -p $PKG/usr/share/applications/
+cat $CWD/spotify.desktop > $PKG/usr/share/applications/spotify.desktop
+
+mv $PKG/usr/share/doc $PKG/usr
+mv $PKG/usr/doc/$SRCNAM-client $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}